/*
 * WebApiSegura Token JWT XrmAPI
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client;


import java.lang.reflect.Type;
import java.util.*;



public class BuildParameters{
	private String path;
	private String method; 
	private List<Pair> queryParams;
	private List<Pair> collectionQueryParams; 
	private Object body; 
	private Map<String, String> headerParams; 
	private Map<String, Object> formParams; 
	private String[] authNames; 
	private ProgressRequestBody.ProgressRequestListener progressRequestListener;
	
	public void setPath(String path) {
		this.path = path;
	}
	public void setMethod(String method) {
		this.method = method;
	}
	public void setQueryParams(List<Pair> queryParams) {
		this.queryParams = queryParams;
	}
	public void setCollectionQueryParams(List<Pair> collectionQueryParams) {
		this.collectionQueryParams = collectionQueryParams;
	}
	public void setBody(Object body) {
		this.body = body;
	}
	public void setHeaderParams(Map<String, String> headerParams) {
		this.headerParams = headerParams;
	}
	public void setFormParams(Map<String, Object> formParams) {
		this.formParams = formParams;
	}
	public void setAuthNames(String[] authNames) {
		this.authNames = authNames;
	}
	public void setProgressRequestListener(ProgressRequestBody.ProgressRequestListener progressRequestListener) {
		this.progressRequestListener = progressRequestListener;
	}
	
	public String getPath( ) {
		return this.path;
	}
	public String getMethod( ) {
		return this.method ;
	}
	public List<Pair> getQueryParams( ) {
		return this.queryParams ;
	}
	public List<Pair> getCollectionQueryParams( ) {
		return this.collectionQueryParams ;
	}
	public Object getBody( ) {
		return this.body;
	}
	public Map<String, String> getHeaderParams( ) {
		return this.headerParams ;
	}
	public Map<String, Object> getFormParams( ) {
		return this.formParams;
	}
	public String[] getAuthNames( ) {
		return this.authNames ;
	}
	public ProgressRequestBody.ProgressRequestListener  getProgressRequestListener() {
		return this.progressRequestListener;
	}
	
}	